## kernel-bfs 2.6.28-10bfs6

=== debian/changelog ===
kernel-bfs (1:2.6.28-10bfs6) fremantle; urgency=low

  * Revert to BFS scheduler v0.330
  * Include patches from the -ck kernel patchset
  * Include BFQ I/O scheduler (experimental)
  * Synchronize (patches) with kernel-power v49
  * Include patch to add cache_file option to the nandsim module
  * Add Reiser4 filesystem support
  * Change kernel timer frequency to 300Hz
  * Include backported UBIFS patches
  * Add workaround for using bq27x00_battery

 -- Dennis Groenen <tj.groenen@gmail.com>  Wed, 28 Sep 2011 22:15:34 +0200

kernel-bfs (2.6.28-bfs5) fremantle; urgency=low

  * Updated kernel-bfs to reflect changes kernel-power 2.6.28-maemo46
  * Updated BFS scheduler to bfs363
  * Tidied up bfs-350-to-357.patch file

 -- Dennis Groenen <dennis_groenen@hotmail.com>  Mon,  03 Jan 2011 16:30:00 +0100

kernel-bfs (2.6.28-bfs4) fremantle; urgency=low

  * Updated kernel-bfs to reflect changes kernel-power 2.6.28-maemo43, 2.6.28-44 and 2.6.28-45
  * Fixed garage bugtracker link

 -- Dennis Groenen <dennis_groenen@hotmail.com>  Thu,  12 Nov 2010 24:00:00 +0100

kernel-bfs (2.6.28-bfs3) fremantle; urgency=low

  * Added kernel-power 2.6.28-maemo42 changes to kernel-bfs

 -- Dennis Groenen <dennis_groenen@hotmail.com>  Wed,  10 Nov 2010 00:40:00 +0100

kernel-bfs (2.6.28-bfs2) fremantle; urgency=low

  * Added kernel-power 2.6.28-maemo41 changes to kernel-bfs
  * Updated BFS scheduler to bfs357

 -- Dennis Groenen <dennis_groenen@hotmail.com>  Tue,  09 Nov 2010 10:38:00 +0100

kernel-bfs (2.6.28-bfs1) fremantle; urgency=low

  * Rename to avoid collision with kernel-power

 -- Corey O'Connor <coreyoconnor@gmail.com>  Mon,  04 Oct 2010 16:50:00 +0800

kernel-power (2.6.28-maemo40.bfs0) fremantle; urgency=low

  * BFS version of 2.6.28-maemo40

 -- Corey O'Connor <coreyoconnor@gmail.com>  Tue,  04 Aug 2010 16:50:00 +0800

kernel-power (2.6.28-maemo40) fremantle; urgency=low

  * install build scripts properly in /usr/src/kernel-power-kbuild

 -- Thomas Tanner <maemo@tannerlab.com>  Mon,  9 Aug 2010 23:17:47 +0200

kernel-power (2.6.28-maemo39) fremantle; urgency=low

  * new kernel-power-bootimg package for the kernel zImage

 -- Thomas Tanner <maemo@tannerlab.com>  Tue,  3 Aug 2010 22:25:38 +0200

kernel-power (2.6.28-maemo38.bfs) fremantle; urgency=low

  * Apply BFS patches

 -- Corey O'Connor <coreyoconnor@gmail.com>  Tue,  10 Jul 2010 16:50:00 +0800

kernel-power (2.6.28-maemo38) fremantle; urgency=low

  * add missing linux headers to kernel-power-headers
  * enable netfiler tcpmss+mac
  * increase kernel log buffer to 64K
  * add ARM thumb2 fix

 -- Thomas Tanner <maemo@tannerlab.com>  Tue,  3 Aug 2010 09:25:38 +0200

kernel-power (2.6.28-maemo37) fremantle; urgency=low

  * disable buitin extra network options+MMC bounce from v28 due to possible side-effects
  * remove system-update flag due to HAM problems

 -- Thomas Tanner <maemo@tannerlab.com>  Tue, 25 May 2010 23:07:37 +0200

kernel-power (2.6.28-maemo36) fremantle; urgency=low

  * deinstall warning
  * reupload due to autobuilder issue

 -- Thomas Tanner <maemo@tannerlab.com>  Tue, 25 May 2010 18:01:59 +0200

kernel-power (2.6.28-maemo35) fremantle; urgency=low

  * activate new wlan-monitor patch
  * added system update flag to prevent deinstallation in Application manager
  * upgrade to Nokia 20101501+0m5 (without disabling smartreflex):
    fixes WLAN memory leaks and improves stability

 -- Thomas Tanner <maemo@tannerlab.com>  Tue, 25 May 2010 09:40:35 +0200

kernel-power (2.6.28-maemo34) fremantle; urgency=low

  * install blacklist properly
  * control: remove OABI

 -- Thomas Tanner <maemo@tannerlab.com>  Wed, 19 May 2010 17:54:12 +0200

kernel-power (2.6.28-maemo33) fremantle; urgency=low

  * enable all v28 features again, except for OABI
   (commenting out features in configuration had no effect)
  * add extra Netfilter connection tracking+mark modules
  * fix for touchscreen calibration: disable automatic loading of mousedev module

 -- Thomas Tanner <maemo@tannerlab.com>  Wed, 19 May 2010 17:13:39 +0200

kernel-power (2.6.28-maemo32) fremantle; urgency=low

  * copied config from v27
  * modules.post*: don't fix preinit (is this the bug?)

 -- Thomas Tanner <maemo@tannerlab.com>  Mon, 17 May 2010 21:27:36 +0200

kernel-power (2.6.28-maemo31) fremantle; urgency=low

  * reverted the remaining changes to v27

 -- Thomas Tanner <maemo@tannerlab.com>  Mon, 17 May 2010 18:27:36 +0200

kernel-power (2.6.28-maemo30) fremantle; urgency=low

  * disable OABI too

 -- Thomas Tanner <maemo@tannerlab.com>  Mon, 17 May 2010 08:52:48 +0200

kernel-power (2.6.28-maemo29) fremantle; urgency=low

  * revert most changes to v27: disabled more QoS modules, IP multiple table+multipath,
    MMC block bouncing, old wlan-monitor patch, remove USB OHCI,EHCI
  * updated post-installation instructions

 -- Thomas Tanner <maemo@tannerlab.com>  Mon, 17 May 2010 07:45:30 +0200

kernel-power (2.6.28-maemo28) fremantle; urgency=low

  * enabled more QoS modules, IP multiple table+multipath,
    MMC block bouncing, OABI support
  * updated wlan-monitor patch
  * kernel-power-modules: fix preinit MODULE_PATH to always load current kernel modules
  * kernel-power-deinstall: improved script, msg boxes, error checking

 -- Thomas Tanner <maemo@tannerlab.com>  Sun, 16 May 2010 18:46:47 +0200

kernel-power (2.6.28-maemo27) fremantle; urgency=low

  * prerm: minor fix to warn check for HAM only during deinstallation, not on upgrades

 -- Thomas Tanner <maemo@tannerlab.com>  Sun,  9 May 2010 14:33:40 +0200

kernel-power (2.6.28-maemo26) fremantle; urgency=low

  * 599Mhz is now interpreted as 600MHz, keep ignoring 600MHz setting by telephone app
  * changed extraversion to power$(version)
  * added patch for correct mmc device naming by fanoush
  * added wlan monitoring patch by David Gnedt
  * added LED patch by Matan
  * patch to enable charging with g_ether 
  * show confirmation dialog before installation

