## kernel-bfs 2.6.28-10bfs7

=== debian/changelog ===
kernel-bfs (1:2.6.28-10bfs7) fremantle; urgency=low

  * Disable toggleable i2c-battery patch replacement

 -- Dennis Groenen <tj.groenen@gmail.com>  Fri, 30 Sep 2011 21:51:35 +0200
