## kernel-bfs 2.6.28-10bfs8

=== debian/changelog ===
kernel-bfs (1:2.6.28-10bfs8) fremantle; urgency=low

  * Synchronize (patches) with kernel-power v49

 -- Dennis Groenen <tj.groenen@gmail.com>  Sun,  6 Nov 2011 17:50:10 +0100
