## kernel-bfs 2.6.28-10bfs9

=== debian/changelog ===
kernel-bfs (1:2.6.28-10bfs9) fremantle; urgency=low

  * Disable cpufreq_earlyload patch

 -- Dennis Groenen <tj.groenen@gmail.com>  Tue, 15 Nov 2011 20:57:21 +0100
